TestLogEvent (Gradle API 8.11.1)

Package org.gradle.api.tasks.testing.logging

## Enum TestLogEvent

- java.lang.Object
- - java.lang.Enum<TestLogEvent>
  - - org.gradle.api.tasks.testing.logging.TestLogEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TestLogEvent>`

      public enum TestLogEvent
      extends java.lang.Enum<TestLogEvent>

  Test events that can be logged.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAILED` | A test has failed.
    `PASSED` | A test has completed successfully.
    `SKIPPED` | A test has been skipped.
    `STANDARD_ERROR` | A test has written a message to standard error.
    `STANDARD_OUT` | A test has written a message to standard out.
    `STARTED` | A test has started.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TestLogEvent` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TestLogEvent[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTED

          public static final TestLogEvent STARTED

      A test has started. This event gets fired both for atomic and composite tests.

    - #### PASSED

          public static final TestLogEvent PASSED

      A test has completed successfully. This event gets fired both for atomic and composite tests.

    - #### SKIPPED

          public static final TestLogEvent SKIPPED

      A test has been skipped. This event gets fired both for atomic and composite tests.

    - #### FAILED

          public static final TestLogEvent FAILED

      A test has failed. This event gets fired both for atomic and composite tests.

    - #### STANDARD_OUT

          public static final TestLogEvent STANDARD_OUT

      A test has written a message to standard out.

    - #### STANDARD_ERROR

          public static final TestLogEvent STANDARD_ERROR

      A test has written a message to standard error.

  - ### Method Detail

    - #### values

          public static TestLogEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TestLogEvent c : TestLogEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TestLogEvent valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null